Page MenuHomePhabricator

Allow to add buttons with undefined icons.
Closed, ResolvedPublic

Description

The CodeMirror extension uses the button with changeable icon since the one shows the state (enabled/disabled).
So, we change the icon by changing the class of the button, it works fine but WikiEditor requires the defined icon when creating the button. If icon does not provided, the one inserts style="background-image: url("undefined");"

P.S. Additional description there T172458#3500256

Event Timeline

Pastakhov created this task.Aug 4 2017, 9:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2017, 9:35 AM
Pastakhov updated the task description. (Show Details)Aug 4 2017, 9:43 AM

Change 370173 had a related patch set uploaded (by Pastakhov; owner: Pastakhov):
[mediawiki/extensions/WikiEditor@master] Do not add a background image if the icon is not defined

https://gerrit.wikimedia.org/r/370173

Change 370188 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/CodeMirror@master] Remove a workaround to clear broken 'background-image'

https://gerrit.wikimedia.org/r/370188

Change 370173 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Do not add a background image if the icon is not defined

https://gerrit.wikimedia.org/r/370173

matmarex closed this task as Resolved.Aug 4 2017, 12:40 PM
matmarex removed a project: Patch-For-Review.

Change 370188 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Remove a workaround to clear broken 'background-image'

https://gerrit.wikimedia.org/r/370188

Restricted Application added a project: Community-Tech. · View Herald TranscriptFeb 9 2018, 4:01 PM
TBolliger moved this task from Untriaged to Archive on the Community-Tech board.Feb 14 2018, 1:12 AM
happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:35 AM